Package twisted :: Package enterprise :: Module row

[show private | hide private]
[frames | no frames]

## Module twisted.enterprise.row

A (R)elational (O)bject (W)rapper.

This is an extremely thin wrapper.

Classes
`KeyFactory` | I create unique keys to use as primary key columns in database tables.
`RowObject` | I represent a row in a table in a relational database.
`StatementBatch` | A keep a set of SQL statements to be executed in a single batch.

Variable Summary
`dictionary` | `dbTypeMap`
`int` | `NOQUOTE`

Variable Details

### dbTypeMap

  Type:
    `dictionary`
  Value:

        {'bigint': 1,
         'bool': 2,
         'boolean': 2,
         'char': 2,
         'date': 2,
         'float4': 1,
         'float8': 1,
         'int': 1,
        ...

### NOQUOTE

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Sat Feb 15 21:17:50 2003 | http://epydoc.sf.net